
Sonic Visualiser - Bug #1942
Box layer not always inheriting the right unit
2019-10-14 11:09 AM - Chris Cannam

Status: Closed Start date: 2019-10-14
Priority: High Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:
Description

    1. Load an audio file
    2. Add a Spectrogram pane
    3. Add a Time Instants layer to that pane
    4. Add a Boxes layer to the same pane

Expected behaviour: Boxes layer is added with units inherited from spectrogram (Hz)
Observed: Boxes layer is added with no unit

History
#1 - 2019-10-15 09:48 AM - Chris Cannam

Almost certainly conceptually related to #1926 Display/value extents accessors in view classes are confusing and possibly contradictory

#2 - 2019-10-16 08:11 PM - Chris Cannam
- Status changed from New to Closed

Fixed in commit:95c082557ffd
